using MoYu.DataValidation;
using System.ComponentModel.DataAnnotations;

namespace SafeCampus.Application.Services.Business.CameraInfoService;

public class SetPushPersonGroupInput
{
    /// <summary>
    /// 分组Id
    /// </summary>
    [IdNotNull(ErrorMessage = "Id不能为空")]
    [DataValidation(ValidationTypes.Numeric)]
    public virtual long GroupId { get; set; }
    /// <summary>
    /// 人员id
    /// </summary>
    [IdNotNull(ErrorMessage = "Id不能为空")]
    [DataValidation(ValidationTypes.Numeric)]
    public virtual long UserId { get; set; }
}

public class SetPushPersonInput
{
    /// <summary>
    /// 人员id
    /// </summary>
    [IdNotNull(ErrorMessage = "Id不能为空")]
    [DataValidation(ValidationTypes.Numeric)]
    public virtual long UserId { get; set; }
    /// <summary>
    /// 摄像头Id列表
    /// </summary>
    [IdsNotNull(ErrorMessage = "IdList不能为空")]
    public List<long> Ids { get; set; } = new List<long>();
}

public class SetPushPersonWarnInput
{
    /// <summary>
    /// 告警类型编码
    /// </summary>
    [IdNotNull(ErrorMessage = "告警类型编码")]
    public virtual string WarnCode { get; set; }
    /// <summary>
    /// 人员id
    /// </summary>
    [IdNotNull(ErrorMessage = "Id不能为空")]
    [DataValidation(ValidationTypes.Numeric)]
    public virtual long UserId { get; set; }
}